#include<iostream>
#include<cmath>
using namespace std;
int digit(int num,int k)
{
	int s[1000],b=0,i=0;
	while(num>0)
	{
		s[i]=num%10;
		num=num/10;
		i++;
	}
	if(k<=(i-1))
	{
		b=s[k-1];
	}
	return b;
	
}

int main()
{
	int a,b,k;
	cin>>a>>k;
	b=digit(a,k);
	cout<<b;
	
	return 0;
}
